SDL_VERSION(3)

NAME
SDL_VERSION - Macro to determine SDL version program was compiled against.

HEADER FILE
Defined in SDL3/SDL_version.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_VERSION(x)                .BI {.BI    (x)->major = SDL_MAJOR_VERSION;   .BI (x)->minor=SDL_MINOR_VERSION;.BI    (x)->patch = SDL_PATCHLEVEL;      .BI }

DESCRIPTION
This macro fills in an SDL_Version
 structure with the version of the library you compiled against. This is determined by what header the compiler uses. Note that if you dynamically linked the library, you might have a slightly newer or older version at runtime. That version can be determined with SDL_GetVersion (), which, unlike SDL_VERSION (), is not a macro.

AVAILABILITY
This macro is available since SDL 3.0.0.

SEE ALSO
SDL_Version(3type), SDL_GetVersion(3)